<mamecheat version="1">

  <cheat desc="Enable Guest Characters"> <comment>Enable 'Kingdom Grand Prix'/'Shippu Mahou Daisakusen' and 'Battle Garegga' characters, Same as 'Up,Up,Down,Down,Left,Right,A,B' after inserting credits.</comment>
    <script state="on">
      <action>maincpu.pb@20FD4C=FF</action>
    </script>
  </cheat>

  <cheat desc="Disable Guest Characters">
    <script state="on">
      <action>maincpu.pb@20FD4C=00</action>
    </script>
  </cheat>

  <cheat desc="Enable Player Select">
    <script state="on">
      <action>maincpu.pb@20FD4D=FF</action>
    </script>
  </cheat>

  <cheat desc="Disable Player Select">
    <script state="on">
      <action>maincpu.pb@20FD4D=00</action>
    </script>
  </cheat>

  <cheat desc="Enable Special Course"> <comment>Check www.world-of-arcades.net/R8zing/Batrider/Secrets.htm for full infos about these 'hidden features' and the other secrets of the game</comment>
    <script state="on">
      <action>maincpu.pb@20FD42=FF</action>
    </script>
  </cheat>

  <cheat desc="Disable Special Course">
    <script state="on">
      <action>maincpu.pb@20FD42=00</action>
    </script>
  </cheat>

  <cheat desc="Watch Game Rank">
    <script state="run">
      <output format="Rank : %d">
        <argument>maincpu.pb@(20F9D1)</argument>
      </output>
    </script>
  </cheat>

  <cheat desc="Always have Easiest Rank">
    <script state="run">
      <action>maincpu.pd@20F9D0=00F7FFFF</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Bombs PL1">
    <script state="run">
      <action>maincpu.pw@204174=0428</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL1"> <comment>See the Dip Switch Menu to enable an alternate Invincibility cheat.</comment>
    <script state="run">
      <action>maincpu.pb@204177=02</action>
    </script>
  </cheat>

  <cheat desc="Maximum Front Fire Power PL1">
    <script state="run">
      <action>maincpu.pb@204172=03</action>
    </script>
  </cheat>

  <cheat desc="Maximum Option Fire Power PL1"> <comment>Get an option first</comment>
    <script state="run">
      <action>maincpu.pb@204166=02</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Bombs PL2">
    <script state="run">
      <action>maincpu.pw@2042E6=0428</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL2"> <comment>See the Dip Switch Menu to enable an alternate Invincibility cheat.</comment>
    <script state="run">
      <action>maincpu.pb@2042E9=02</action>
    </script>
  </cheat>

  <cheat desc="Maximum Front Fire Power PL2">
    <script state="run">
      <action>maincpu.pb@2042E4=03</action>
    </script>
  </cheat>

  <cheat desc="Maximum Option Fire Power PL2"> <comment>Get an option first</comment>
    <script state="run">
      <action>maincpu.pb@2042D8=02</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
